// Type Guard для multiple.
// @ts-ignore
function isMultiple(multiple, value) {
    return Boolean(multiple);
}
// Хелпер для генерации начального состояния поля ввода.
export const getTextValue = (multiple, value, valueToItemMap, renderValue)=>{
    if (isMultiple(multiple, value) || !value) {
        return '';
    }
    return renderValue?.({
        value,
        label: ''
    }) || valueToItemMap.get(value)?.label || value.toString();
};
